Subject: Re: [PATCH v7 3/4] vimdiff: add tool documentation

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Mar 2022 18:01:45 -0700

Fernando Ramos <[email-masked]> writes:

> When applying this patch I still get "indent with spaces" errors:
>
>     .git/rebase-apply/patch:121: indent with spaces.
>                ------------------------------------------
>     .git/rebase-apply/patch:122: indent with spaces.
>                |             |           |              |
>     .git/rebase-apply/patch:123: indent with spaces.
>                |             |           |              |
>     .git/rebase-apply/patch:124: indent with spaces.
>                |   LOCAL     |   MERGED  |   REMOTE     |
>     .git/rebase-apply/patch:125: indent with spaces.
>                |             |           |              |
>     warning: squelched 61 whitespace errors
>     warning: 66 lines add whitespace errors.
>
> The thing is these are no real errors (I really want to use spaces here).
>
> Am I doing something wrong?

Yes, the project does not want you to use spaces here.  Doesn't
AsciiDoc do the right thing if you used a tab instead of indenting
with 8 spaces?